<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.MaterializedRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    android:fitsSystemWindows="true">

    <include
        android:id="@+id/bodyContainer"
        layout="@layout/gamedetail_body"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/detail_ll_bottom" />

    <FrameLayout
        android:id="@+id/list_skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <include
        android:id="@+id/reuse_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

    <include
        android:id="@+id/detail_ll_bottom"
        layout="@layout/detail_download_item" />

    <LinearLayout
        android:id="@+id/error_toolbar_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <com.gh.gamecenter.common.view.StatusBarView
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <include
            android:id="@+id/error_reuse_toolbar"
            layout="@layout/reuse_toolbar" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/gamedetail_kaifu_hint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="78dp"
        android:background="@drawable/gamedetail_kaifu_hint"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="15dp"
        android:paddingTop="7dp"
        android:paddingRight="15dp"
        android:paddingBottom="7dp"
        android:visibility="gone">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/gamedetail_kaifu_hint_icon1" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="8dp"
            android:text="@string/title_kaifu"
            android:textColor="@color/white"
            android:textSize="15sp" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/gamedetail_kaifu_hint_icon2" />

    </LinearLayout>

    <include
        android:id="@+id/pop_reserver_guide"
        layout="@layout/pop_reserver_guide"
        android:layout_width="wrap_content"
        android:layout_height="42dp"
        android:layout_alignParentBottom="true"
        android:layout_marginLeft="14dp"
        android:layout_marginBottom="55dp"
        android:visibility="gone" />

    <include
        android:id="@+id/game_detail_recommend_view"
        layout="@layout/layout_game_detail_recommend_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="164dp"
        android:visibility="invisible" />

</com.gh.gamecenter.common.view.MaterializedRelativeLayout>